/*
 * GToolKit - Objective-C interface to the GIMP Toolkit
 * Copyright (c) 1998  Elmar Ludwig - Universitaet Osnabrueck
 *
 * Generated automatically from gtkwindow.h by gtkgen.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 */
#ifndef GTOOLKIT_GTKWINDOW_H
#define GTOOLKIT_GTKWINDOW_H

#include <GToolKit/GTKBin.h>
#include <gtk/gtkwindow.h>

@interface GTKWindow : GTKBin
+ (GtkType) getType;
+ windowWithType:(GtkWindowType) type;
- initWithType:(GtkWindowType) type;
- (void) setTitle:(const NSString *) title;
- (void) setWmclass:(const NSString *) wmclass_name wmclassClass:(const NSString *) wmclass_class;
- (void) setFocus:(GTKWidget *) focus;
- (void) setDefault:(GTKWidget *) defaultw;
- (void) setPolicy:(gint) allow_shrink allowGrow:(gint) allow_grow autoShrink:(gint) auto_shrink;
- (void) addAcceleratorTable:(GTKAcceleratorTable *) table;
- (void) removeAcceleratorTable:(GTKAcceleratorTable *) table;
- (void) position:(GtkWindowPosition) position;
- (gint) activateFocus;
- (gint) activateDefault;
- (NSString *) title;
- (GTKWidget *) focusWidget;
- (GTKWidget *) defaultWidget;
@end

extern NSString *GTKWindowDidBecomeMainNotification;
extern NSString *GTKWindowDidResignMainNotification;
extern NSString *GTKWindowWillCloseNotification;
extern NSString *GTKWindowWillOpenNotification;

#endif
